# Parameters for Geodesic Mean Curvature Flow

# Geodesic Mean Curvature Flow - Geodesic Mean Curvature Flow Method for 3D image filtering 
# Written in 2015 by Karol Miikula mikula@math.sk
# Robert Cunderlik cunderli@svf.stuba.sk
# Robert Spir spir.robert@gmail.com
# Alessandro Sarti alessandro.sarti@ehess.fr
# Zuzana Kriva kriva@math.sk
# 
# To the extent possible under law, the author(s) have dedicated all copyright and related and neighboring rights to this software to the public domain worldwide. This software is distributed without any warranty.
# You should have received a copy of the CC BY-NC-SA 4.0 Dedication along with this software. If not, see <https://creativecommons.org/licenses/by-nc-sa/4.0/legalcode>.



# Total number of steps of the algorithm
iter=10

# Edge detection: bigger K preserve more edges (but also noise)
K=5.0

# step for the nonlinear diffusion in the GMCF method (bigger tau means more
# smoothing in one step)
tau=0.0002

# step for the linear diffusion used for presmoothing the gradient in edge
# detection function (bigger sigma means more smoothing of the gradient
# inside the edge detection function)
sigma=0.0001

# regularization parameter inside the GMCF model which is used to prevent
# zero gradients in denominators of the numerical scheme
epsilon=0.0001

