# SimAnn - Simulated Annealing Method for cell tracking in 3D+time 
# Written in 2015 by BioEmergences CNRS USR bioemergences@inaf.cnrs-gif.fr
# Paul Bourgine paul.bourgine@polytechnique.edu
# Alessandro Sarti alessandro.sarti@ehess.fr
# Camilo Melani camilomelani@gmail.com
# Rene Doursat rene.doursat@inaf.cnrs-gif.fr
# 
# To the extent possible under law, the author(s) have dedicated all copyright and related and neighboring rights to this software to the public domain worldwide. This software is distributed without any warranty.
# You should have received a copy of the CC BY-NC-SA 4.0 Dedication along with this software. If not, see <https://creativecommons.org/licenses/by-nc-sa/4.0/legalcode>.


channel=ch00 # channel used by the algorithm

tracking.simAnnIterations=0.5 #that percentage of the cells are subjected to sim annealing
tracking.repeat=3 # times to repeat the sim annealing  (probably rather 1: number of random moves tried per time step)
tracking.NumberNearestCells=2 # during step 4 : number of nearest cells selected n order to perturb the links
tracking.IterationByCell=10 #during step 4 : if tracking.IterationByCell=k, in a set of n cells chosen for annealing,  4k moves will be attempted 
tracking.ProbabilityStart=0.1 #starting temperature is chosen accordingly 
tracking.ProbabilityEnd=0.001 # to determine final temperature

energy.Value0=1.0 # Elastic Energy : identifier of the weight of the elastic energy in the total energy 
energy.Value1=5.0 #Symetric Daugthers Energy : division symmetry enforcement
energy.Value2=1.0 #Inercial Energy (against noise)
energy.Value3=200.0 #Sucesor Energy to prevent spinsters
energy.Value4=15.0 #Predeseror Energy to prevent orphans
energy.Value5=2.0 #Age Energy penalizes short life durations 
energy.Value6=2.0 #Acceleration Energy  a bit like inertia
energy.Value7=3.0 #MaxS peed :coef of penalty for exceeding max speed
energy.Value8=20 #Distance Energy :coef of penalty for cells which are not linked with the nearest cell: used at  minimization steps (step 4  and 5) 
energy.Value9=15.0 #New Bourne Energy :in case option info about cell division, enforces that 2 cells labelled as newborn cells are sisters



